/*
 * Dev_Conf.h
 *
 *  Created on: 2025/01/27
 *      Author: egaono-electronics
 */

#ifndef DEV_CONF_H_
#define DEV_CONF_H_


//----------------------------------
// 使用するCPUの選択
//----------------------------------
// STM32F405VG
//----------------------------------
#define def_USE_F405VG
//----------------------------------

//------------------------------------------------
// HALヘッダの定義
//------------------------------------------------
#define def_Header_HAL  "stm32f4xx_hal.h"
//------------------------------------------------

//------------------------------------------------------
// Peripheralヘッダの定義
//------------------------------------------------------
#define def_H_Periph_PWM  "H_Common_STM32F4_PWM_1CH.h"
//------------------------------------------------------


//------------------------------------------------------
// CPU動作周波数の定義
//------------------------------------------------------
#define def_SystemClock    168000000  // 最高速
//------------------------------------------------------


//--------------------------------------------------------------
// ST LEDの定義
//--------------------------------------------------------------
//----------------------------------------------------------
// ST LEDのポートとピンの定義 : Base-F405VG基板のST1
//----------------------------------------------------------
#define  def_GPIOx_LED_ST       GPIOA
#define  def_GPIO_PIN_x_LED_ST  GPIO_PIN_7

#define def_GPIOx_CLK_ENABLE_LED_ST()  \
                        __HAL_RCC_GPIOA_CLK_ENABLE()
//----------------------------------------------------------
//--------------------------------------------------------------


//--------------------------------------------------------------
// USERスイッチの定義
//--------------------------------------------------------------
//------------------------------------------------------
// USERスイッチのポートとピンの定義 :
//                      Base-F405VG基板のSW1 : USER
//------------------------------------------------------
#define def_GPIOx_USW       GPIOC
#define def_GPIO_PIN_x_USW  GPIO_PIN_13

#define def_GPIOx_CLK_ENABLE_USW()  \
                        __HAL_RCC_GPIOC_CLK_ENABLE()
//------------------------------------------------------


//--------------------------------------------------
// USERスイッチ検出の定義
//--------------------------------------------------
#define def_H_Detect_USW  "Detects_Pressed_USW.h"

#define def_M_Initialize_USW  Initialize_USW
#define def_M_Detect_USW  Detects_Pressed_USW

#define def_USW_OFF  GPIO_PIN_SET
#define def_USW_ON   GPIO_PIN_RESET
//--------------------------------------------------
//--------------------------------------------------------------



//--------------------------------------------------------------
// Beep制御の定義
//--------------------------------------------------------------
//------------------------------------------------------
// BeepにPWMを使用する場合、定義する。
//------------------------------------------------------
#define def_USE_Beep_PWM
//------------------------------------------------------



//--------------------------------------------------------------
// PWMに使用するピンの定義 : TIM3 CH1 : Beep
//--------------------------------------------------------------
#define def_GPIOx_CLK_ENABLE_PWM_TIM3_CH1()  \
                                __HAL_RCC_GPIOA_CLK_ENABLE()

#define  def_GPIOx_PWM_TIM3_CH1    GPIOA

#define  def_GPIO_PIN_PWM_TIM3_CH1  GPIO_PIN_6
//--------------------------------------------------------------



//--------------------------------------------------------------
// PWMに使用するTIMの定義 : Beep
//--------------------------------------------------------------
#define def_TIMx_Beep_PWM    TIM3

#define def_GPIO_AFx_TIMx_Beep_PWM  GPIO_AF2_TIM3

#define def_TIMx_CLK_ENABLE_Beep_PWM()  \
                            __HAL_RCC_TIM3_CLK_ENABLE()

#define def_TIM_CHANNEL_x_Beep_PWM  TIM_CHANNEL_1
//--------------------------------------------------------------


//--------------------------------------------------------------
// PWMに使用するGPIOポートとピンの定義 : Beep
//--------------------------------------------------------------
// CH1
#define def_GPIOx_CLK_ENABLE_Beep_PWM_CH()  \
                                __HAL_RCC_GPIOA_CLK_ENABLE()


#define  def_GPIOx_Beep_PWM_CH    GPIOA

#define  def_GPIO_PIN_x_Beep_PWM_CH    GPIO_PIN_6
//--------------------------------------------------------------


//--------------------------------------------------
// Beep ON時間 : mSec
//--------------------------------------------------
//#define def_Time_Beep    25
#define def_Time_Beep   100
//--------------------------------------------------


//--------------------------------------------------
// Beepを繰り返し鳴らす場合の間隔
//--------------------------------------------------
#define def_Interval_Beep_Repeat    75
//--------------------------------------------------
//--------------------------------------------------------------


//--------------------------------------------------------------
// PWM周期設定のTIMxクロックの分周比
//--------------------------------------------------------------
#define def_Div_Beep_PWM  1
//--------------------------------------------------------------


#endif /* DEV_CONF_H_ */
